const _PlatformType = (function () {
    const isReactNative = globalThis?.navigator?.product === 'ReactNative';
    if (isReactNative) {
        try {
            // check if exists (or throw error)
            // eslint-disable-next-line @typescript-eslint/no-var-requires, @typescript-eslint/no-unused-vars
            const reactNative = require('react-native');
            const usingHermes = typeof HermesInternal === 'object' && HermesInternal !== null;
            if (usingHermes)
                return 'Hermes';
            return 'JavaScriptCore';
        }
        catch (error) {
            // do nothing
        }
    }
    if (typeof globalThis.document !== 'undefined') {
        return 'Browser';
    }
    return 'NodeJs';
})();
const isRunningOnNativeMobile = _PlatformType === 'JavaScriptCore' || _PlatformType === 'Hermes';
const isRunningOnBrowser = _PlatformType === 'Browser';
const _Environment = isRunningOnNativeMobile
    ? 'NativeMobile'
    : isRunningOnBrowser
        ? 'Browser'
        : 'NodeJs';
var Platform = {
    PlatformType: _PlatformType,
    Environment: _Environment
};

export { Platform as default };
